@import 'Hcd.FormConso.UI.Client.bundle.scp.css';

/* _content/Hcd.FormConso.UI/Components/Fields/Base/Claim/AttachmentsField.razor.rz.scp.css */
.claim-field__attachments[b-cr0p7aptuy] {
    display: flex;
    flex-direction: column;
}

[b-cr0p7aptuy].claim-field__attachments > :not(:last-child) .form-group {
    margin-bottom: 0;
}
/* _content/Hcd.FormConso.UI/Components/Fields/Shared/BaseField.razor.rz.scp.css */
[b-lpn229ya31] .form-label {
    align-items: stretch;
    column-gap: .5em;
    display: flex;
    flex-direction: row;
    font-weight: 500;
    width: fit-content;
}

/*
    Blazorise
*/

[b-lpn229ya31] .b-is-autocomplete .dropdown-menu {
    padding-bottom: 0;
    padding-top: 0;
}

[b-lpn229ya31] .form-file:has(.is-invalid) ~ .invalid-feedback {
    display: block;
}
/* _content/Hcd.FormConso.UI/Components/Fields/Shared/Captcha/CapJsCaptchaField.razor.rz.scp.css */
.claim-field__captcha[b-13qbjy511q] {
    border-radius: .25em;
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: fit-content;
}

    .claim-field__captcha.failed cap-widget[b-13qbjy511q] {
        background: var(--bs-form-invalid-border-color);
        border-radius: .9rem;
        box-shadow: 0 0 0px .8px var(--bs-form-invalid-border-color);
    }

    .claim-field__captcha.failed .invalid-feedback[b-13qbjy511q] {
        display: block;
    }
/* _content/Hcd.FormConso.UI/Components/Fields/Shared/Captcha/ReCaptchaCaptchaField.razor.rz.scp.css */
.claim-field__captcha[b-uixvtnfnav] {
    border-radius: .25em;
    display: flex;
    flex-direction: row;
    justify-content: center;
    width: fit-content;
}

[b-uixvtnfnav] .claim-field__captcha-reset {
    background: #fff;
    border-radius: .25em;
    padding: 0;
    width: 2em;
}
    [b-uixvtnfnav] .claim-field__captcha-reset:active {
        background: #ddd;
    }
    [b-uixvtnfnav] .claim-field__captcha-reset:hover {
        background: #eee;
    }

[b-uixvtnfnav]:not(.expired) .claim-field__captcha-reset {
    visibility: hidden;
}
/* _content/Hcd.FormConso.UI/Components/Forms/ClaimForm.razor.rz.scp.css */
[claim-form] .claim-form__hint-mandatory {
    display: block;
    font-style: italic;
    text-align: center;
    width: 100%;
}

    [claim-form] .claim-form__hint-mandatory .form-label-required::after {
        content: "*";
        font-style: inherit;
    }

[claim-form] .claim-form__notification {
    align-items: center;
    display: flex;
    height: 100dvh;
    justify-content: center;
    left: 0;
    pointer-events: none;
    position: fixed;
    top: 0;
    width: 100dvw;
}

    [claim-form] .claim-form__notification .toast-container {
        position: relative !important;
    }

    [claim-form] .claim-form__notification .toast {
        width: calc(var(--bs-toast-max-width) * 1.2);
    }

    [claim-form] .claim-form__notification * {
        font-size: 1.1em;
    }

[claim-form] .claim-form__submit {
    align-items: center;
    display: flex;
    flex-direction: column;
    row-gap: 1rem;
    width: 100%;
}

[claim-form] .claim-form__submit-button {
    background: var(--color-background) !important;
    box-shadow: none !important;
    color: var(--color-text) !important;
    font-weight: bold;
}

    [claim-form] .claim-form__submit-button:active,
    [claim-form] .claim-form__submit-button:hover {
        background: var(--color-background-hover) !important;
        color: var(--color-text-hover) !important;
    }

[claim-form] .claim-form__submit-pre,
[claim-form] .claim-form__submit-post {
    width: 100%;
}

[claim-form] .claim-form__loading {
    align-items: center;
    background: rgba(255, 255, 255, 0.5);
    display: none;
    height: 100dvh;
    justify-content: center;
    left: 0;
    pointer-events: all;
    position: fixed;
    top: 0;
    width: 100dvw;
    z-index: 200;
}

    [claim-form] .claim-form__loading .toast-body {
        align-items: center;
        display: flex;
        justify-content: center;
    }

[claim-form] .claim-form[data-loading] .claim-form__loading {
    display: flex;
}

.faq-header[claim-form] {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.faq-tab[claim-form] {
    background: transparent;
    border: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.faq-tab-title[claim-form] {
    height: 24px;
    line-height: 24px;
    font-weight: 600;
    text-align: center;
    margin-top: 6px;
}

[claim-form] .faq-cards {
    --color-card: #fff;
    background-color: transparent;
    display: flex;
    justify-content: center;
    gap: 0;
}

[claim-form] .faq-card {
    background-color: transparent !important;
    color: var(--color-card) !important;
}
    [claim-form] .faq-card.is-active,
    [claim-form] .faq-card:hover {
        background-color: var(--color-card) !important;
        border-color: var(--color-card) !important;
        color: #fff !important;
    }

[claim-form] .faq-card + .faq-card {
    margin-left: -1px;
}

.faq-modal .faq-intro[claim-form] {
    text-align: center;
}

[claim-form] .faq-panel .accordion-button {
    --bs-accordion-active-bg: var(--color-question);
    --bs-accordion-active-color: #fff;
    --bs-accordion-btn-active-icon: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='none' stroke='%23ffffff' stroke-linecap='round' stroke-linejoin='round'%3e%3cpath d='M2 5L8 11L14 5'/%3e%3c/svg%3e");
}

[claim-form] .modal-body {
    display: flex;
    flex-direction: column;
    row-gap: 1rem;
}
/* _content/Hcd.FormConso.UI/Components/Layouts/PageLayout.razor.rz.scp.css */
/*
    Desktop
*/

/* Layout - Base */
.layout[b-o7qrzfr12j] {
    --size-padding: .5rem;
    align-items: center;
    display: flex;
    flex-direction: column;
    height: 100%;
    margin: 0 auto;
    max-width: 1370px;
    position: relative;
    width: 100%;
    scrollbar-color: #222 transparent;
}

/* Layout - Header + Footer */
.layout__footer[b-o7qrzfr12j],
.layout__header[b-o7qrzfr12j] {
    height: fit-content;
    width: 100%;
}

/* Layout - Content */
.layout__content[b-o7qrzfr12j] {
    flex-grow: 1;
    scrollbar-gutter: both-edges;
    width: 60%;
}

/* Error */
#blazor-error-ui[b-o7qrzfr12j] {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: absolute;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-o7qrzfr12j] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

/*
    Mobile
*/
@media (max-aspect-ratio: 1/1), (max-width: 700px) {
    /* Layout - Wrapper - Content + Footer */
    .layout__wrapper[b-o7qrzfr12j] {
        overflow-y: auto;
    }

    /* Layout - Content */
    .layout__content[b-o7qrzfr12j] {
        overflow-y: visible;
        padding: 0 1rem;
        width: 100%;
    }

    /* Layout - Footer */
    .layout__footer[b-o7qrzfr12j] {
        box-shadow: none;
    }
}
/* _content/Hcd.FormConso.UI/Pages/Errors/HttpError.razor.rz.scp.css */
.http-error[b-5b8ylliy5o] {
    align-items: center;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}
/* _content/Hcd.FormConso.UI/Pages/Forms/Bouygues/Bouygues.Conso.razor.rz.scp.css */
.layout:has(.bouygues-form) .claim-form__header[claim-form] {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.layout:has(.bouygues-form) .claim-form__header-logo[claim-form] {
    max-width: 1345px;
    width: 25%;
}

.layout:has(.bouygues-form) .claim-form__header-title[claim-form] {
    margin: 0;
    text-align: center;
    width: 100%;
}

.layout:has(.bouygues-form) .cgv *[claim-form] {
    font-size: 13px;
}

.layout:has(.bouygues-form) .cgv .separator[claim-form] {
    border-top: 1px solid #333;
    margin: var(--size-padding) 0;
    width: 100%;
}

.layout:has(.bouygues-form) .faq-modal[claim-form] {
    --color-text: #009DCC;
}

    .layout:has(.bouygues-form) .faq-modal .faq-intro .faq-title[claim-form],
    .layout:has(.bouygues-form) .faq-modal .faq-intro .faq-subtitle[claim-form] {
        color: var(--color-text);
    }

.layout:has(.bouygues-form) .claim-form__footer-links[claim-form] {
    column-gap: 1rem;
    display: flex;
    flex-direction: row;
    margin: 0 auto;
}

.layout:has(.bouygues-form) .claim-form__submit[claim-form]  .claim-form__submit-button {
    --color-background: #CC4E0A;
    --color-background-hover: #BA4709;
    --color-text: #fff;
    --color-text-hover: #fff;
}

.layout:has(.bouygues-form) .faq-header__logo[claim-form] {
    content: url("/_content/assets/logo/bouygues.png");
    max-width: 250px;
    width: 100%;
}

/*
    F.A.Q.
*/
.layout:has(.bouygues-form) .claim-form__faq_hint[claim-form] {
    display: flex;
    flex-direction: column;
    font-style: italic;
    text-align: center;
    width: 100%;
}

.layout:has(.bouygues-form) .claim-form__hint-mandatory[claim-form],
.layout:has(.bouygues-form) .claim-form__faq_hint[claim-form] 
{
    padding: 1rem 0;
}


.layout:has(.bouygues-form).faq-trigger__content[claim-form] {
    font-size: 14px !important;
    padding: 0 !important;
}

/*
    Mobile
*/
@media (max-aspect-ratio: 1/1), (max-width: 700px) {
    .layout:has(.bouygues-form) .claim-form__header[claim-form] {
        padding: 0;
    }
}
/* _content/Hcd.FormConso.UI/Pages/Forms/Bouygues/Bouygues.Support.razor.rz.scp.css */
.layout:has(.bouygues-support-form) .claim-form__header[claim-form] {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.layout:has(.bouygues-support-form) .claim-form__header-logo[claim-form] {
    max-width: 1345px;
    width: 25%;
}

.layout:has(.bouygues-support-form) .claim-form__header-title[claim-form] {
    margin: 0;
    text-align: center;
    width: 100%;
}

.layout:has(.bouygues-support-form) .cgv *[claim-form] {
    font-size: 13px;
}

.layout:has(.bouygues-support-form) .cgv .separator[claim-form] {
    border-top: 1px solid #333;
    margin: var(--size-padding) 0;
    width: 100%;
}

.layout:has(.bouygues-support-form) .faq-modal[claim-form] {
    --color-text: #009DCC;
}

    .layout:has(.bouygues-support-form) .faq-modal .faq-intro .faq-title[claim-form],
    .layout:has(.bouygues-support-form) .faq-modal .faq-intro .faq-subtitle[claim-form] {
        color: var(--color-text);
    }

.layout:has(.bouygues-support-form) .claim-form__footer-links[claim-form] {
    column-gap: 1rem;
    display: flex;
    flex-direction: row;
    margin: 0 auto;
}

.layout:has(.bouygues-support-form) .claim-form__submit[claim-form]  .claim-form__submit-button {
    --color-background: #CC4E0A;
    --color-background-hover: #BA4709;
    --color-text: #fff;
    --color-text-hover: #fff;
}

.layout:has(.bouygues-support-form) .faq-header__logo[claim-form] {
    content: url("/_content/assets/logo/bouygues.png");
    max-width: 250px;
    width: 100%;
}

/*
    F.A.Q.
*/
.layout:has(.bouygues-support-form) .claim-form__faq_hint[claim-form] {
    display: flex;
    flex-direction: column;
    font-style: italic;
    text-align: center;
    width: 100%;
}

.layout:has(.bouygues-support-form) .claim-form__hint-mandatory[claim-form],
.layout:has(.bouygues-support-form) .claim-form__faq_hint[claim-form] 
{
    padding: 1rem 0;
}


.layout:has(.bouygues-support-form).faq-trigger__content[claim-form] {
    font-size: 14px !important;
    padding: 0 !important;
}

/*
    Mobile
*/
@media (max-aspect-ratio: 1/1), (max-width: 700px) {
    .layout:has(.bouygues-support-form) .claim-form__header[claim-form] {
        padding: 0;
    }
}
/* _content/Hcd.FormConso.UI/Pages/Forms/Haier/Haier.razor.rz.scp.css */
.layout:has(.haier-form) .claim-form__header[claim-form] {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.layout:has(.haier-form) .claim-form__header-logo[claim-form] {
    max-width: 1345px;
    width: 100%;
}

.layout:has(.haier-form) .claim-form__header-title[claim-form] {
    margin: 0;
    text-align: center;
    width: 100%;
}

.layout:has(.haier-form) .cgv *[claim-form] {
    font-size: 13px;
}
.layout:has(.haier-form) .cgv .separator[claim-form] {
    border-top: 1px solid #333;
    margin: var(--size-padding) 0;
    width: 100%;
}

.layout:has(.haier-form) .claim-form__footer-links[claim-form] {
    column-gap: 1rem;
    display: flex;
    flex-direction: row;
    margin: 0 auto;
}

.layout:has(.haier-form) .claim-form__submit[claim-form]  .claim-form__submit-button {
    --color-background: #333;
    --color-background-hover: #555;
    --color-text: #fff;
    --color-text-hover: #fff;
}


.layout:has(.haier-form) .faq-header__logo[claim-form] {
    content: url("/_content/assets/logo/haier.png");
    max-width: 1345px;
    width: 15%;
}

/*
    Mobile
*/
@media (max-aspect-ratio: 1/1), (max-width: 700px) {
    .layout:has(.haier-form) .claim-form__header[claim-form] {
        padding: 0;
    }
}
/* _content/Hcd.FormConso.UI/Pages/Forms/Leclerc/LeclercForm.Conso.razor.rz.scp.css */
.layout:has(.leclerc-conso-form) .claim-form__header[claim-form] {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    padding: var(--size-padding) var(--size-padding) 0 var(--size-padding);
}

.layout:has(.leclerc-conso-form) .claim-form__header-logo[claim-form] {
    width: 20%;
}

.layout:has(.leclerc-conso-form) .claim-form__header-title[claim-form] {
    margin: 0;
    text-align: center;
    width: 100%;
}

.layout:has(.leclerc-conso-form) .claim-form__submit[claim-form]  .claim-form__submit-button {
    --color-background: #0db;
    --color-background-hover: #0a8;
    --color-text: #fff;
    --color-text-hover: #fff;
}


.layout:has(.leclerc-conso-form) .faq-header__logo[claim-form] {
    content: url("/_content/assets/logo/e.leclerc.svg");
    max-width: 1345px;
    width: 15%;
}
/* _content/Hcd.FormConso.UI/Pages/Forms/Leclerc/LeclercForm.Support.razor.rz.scp.css */
.layout:has(.leclerc-support-form) .claim-form__header[claim-form] {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    padding: var(--size-padding) var(--size-padding) 0 var(--size-padding);
}

.layout:has(.leclerc-support-form) .claim-form__header-logo[claim-form] {
    width: 20%;
}

.layout:has(.leclerc-support-form) .claim-form__header-title[claim-form] {
    margin: 0;
    text-align: center;
    width: 100%;
}

.layout:has(.leclerc-support-form) .claim-form__submit[claim-form]  .claim-form__submit-button {
    --color-background: #0db;
    --color-background-hover: #0a8;
    --color-text: #fff;
    --color-text-hover: #fff;
}


.layout:has(.leclerc-support-form) .faq-header__logo[claim-form] {
    content: url("/_content/assets/logo/e.leclerc.svg");
    max-width: 1345px;
    width: 15%;
}
